Listar pedidos de timbraje
curl --request GET \
--url https://api.tupana.ai/v2/folio-requests/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/folio-requests/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/folio-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/folio-requests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/folio-requests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/folio-requests/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/folio-requests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "fir_8d4a2f7c1e9b5",
"dte_type": 33,
"status": "completed",
"requested_quantity": 50,
"granted_quantity": 50,
"partially_granted": true,
"sii_max_per_request": 9,
"folio_start": 539,
"folio_end": 588,
"caf_xml": "<AUTORIZACION><CAF version=\"1.0\">…</CAF></AUTORIZACION>",
"idempotency_key": "pedido-facturas-2026-08-27-01",
"error": "",
"created_at": "2026-08-27T14:30:00Z",
"completed_at": "2026-08-27T14:32:11Z",
"sii_environment": "production",
"error_code": ""
}
],
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"links": {
"next": "<string>",
"prev": "<string>"
}
}Folios
Listar pedidos de timbraje
Pedidos de timbraje de la entidad, del más reciente al más antiguo.
GET
/
folio-requests
/
Listar pedidos de timbraje
curl --request GET \
--url https://api.tupana.ai/v2/folio-requests/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/folio-requests/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/folio-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/folio-requests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/folio-requests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/folio-requests/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/folio-requests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "fir_8d4a2f7c1e9b5",
"dte_type": 33,
"status": "completed",
"requested_quantity": 50,
"granted_quantity": 50,
"partially_granted": true,
"sii_max_per_request": 9,
"folio_start": 539,
"folio_end": 588,
"caf_xml": "<AUTORIZACION><CAF version=\"1.0\">…</CAF></AUTORIZACION>",
"idempotency_key": "pedido-facturas-2026-08-27-01",
"error": "",
"created_at": "2026-08-27T14:30:00Z",
"completed_at": "2026-08-27T14:32:11Z",
"sii_environment": "production",
"error_code": ""
}
],
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"links": {
"next": "<string>",
"prev": "<string>"
}
}Authorizations
API Key para autenticación. Debe proporcionarse en el header Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo 'Api-Key ' seguido de tu API key)
Query Parameters
ID de la entidad maestra (public ID ment_...).
Filtra por tipo de documento.
Filtra por ambiente. Si se omite, se listan los de los DOS ambientes: es lo que necesita un cliente que está migrando de uno a otro.
Available options:
production, certification 